Subject: gcc compiler output
From: [email-masked] (OSKAR BERRETEAGA)

27 Apr 1998 11:35:36 -0700
Message-ID: <c=ES%a=_%p=FAGOR?AUTOMATION%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

Hi,

when compiling, gcc -c, the following source file 

--- prg.c ---
#include <stdio.h>

typedef struct in_st
{
	unsigned	i385:1;
	unsigned	i386:1;	/* <------- Parse error */
	unsigned	i387:1;

}in_t;

int main (void)
{
	printf("Hello, world\n");
}
--- end of prg.c ---

I get the following:
prg.c:6: parse error before `1'
prg.c:6: warning: no semicolon at end of struct or union
prg.c:7: parse error before `:'
prg.c:9: warning: data definition has no type or storage class

Replacing 'i386' with 'in386' solved the problem. It looks as if 'i386'
were a reserved compiler word. Is this so? Sorry if this is obvious but
I haven't got the gcc man pages.

Thanks in advance.

Oskar

+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+
Oskar Berreteaga
I+D Software
Fagor Automation S. Coop
Tel.: 943 79 95 11 Ext.: 14-213
mailto: [email-masked]
+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".